import request from '@/utils/request'

// 查询在线申报记录列表
export function getTemplateInfo(query) {
  return request({
    url: `/system/templateInfo/${query.templateId}`,
    method: 'get',
  })
}

// 获取公司信息
export function getBasicInfo(query) {
  return request({
    url: `/system/enterpriseBasicInfo/${query.enterpriseId}`,
    method: 'get',
  })
}

// 获取公司信息
export function getOpenInterface(query) {
  return request({
    url: `/system/openInterface/${query.templateRecordId}`,
    method: 'get',
  })
}

// 通过统一社会代码获取对应公司模版
export function getEnterpriseInfo(query) {
  return request({
    url: `/system/openInterface/enterpriseInfo/${query.socialCode}`,
    method: 'get',
    params: query
  })
}

/* 统一补录上传数据 */
export function unifyReport(data) {
  return request({
    url: '/system/openInterface',
    method: 'post',
    data: data,
  })
}

// 获取全部模版编辑信息
export function getDeclarationRecords(query) {
  return request({
    url: `/system/declarationRecords/${query.id}`,
    method: 'get',
  })
}


// 查询申报模版列表
export function templateList(query) {
  return request({
    url: '/system/templateRecord/templateNameList',
    method: 'get',
    params: query
  })
}

// 查询申报模版详情
export function templateGetId(id) {
  return request({
    url: '/system/templateRecord/' + id,
    method: 'get',
  })
}

// 导出
export function exportData(data) {
  return request({
    url: '/system/declarationRecords/export',
    method: 'post',
    responseType: 'blob',
    data: data
  })
}

// 上传单个文件
export function uploadFile(data) {
  return request({
    url: "/common/upload",
    method: 'post',
    data: data,
    headers: {
      'Content-type': 'multipart/form-data'
    }
  })
}


// 新增-项目落户奖补-1
export function addProjectSettlementAward(data) {
  return request({
    url: '/system/projectSettlementAward',
    method: 'post',
    data: data
  })
}

// 编辑-项目落户奖补-1
export function putProjectSettlementAward(data) {
  return request({
    url: '/system/projectSettlementAward',
    method: 'put',
    data: data
  })
}

// 新增-做大做强奖补-2-完成
export function addBigStrongAward(data) {
  return request({
    url: '/system/bigStrongAward',
    method: 'post',
    data: data
  })
}

// 编辑-做大做强奖补-2
export function putBigStrongAward(data) {
  return request({
    url: '/system/bigStrongAward',
    method: 'put',
    data: data
  })
}

// 新增-载体建设奖补-3
export function addCarrierConstructionAward(data) {
  return request({
    url: '/system/carrierConstructionAward',
    method: 'post',
    data: data
  })
}

// 编辑-载体建设奖补-3
export function putCarrierConstructionAward(data) {
  return request({
    url: '/system/carrierConstructionAward',
    method: 'put',
    data: data
  })
}

// 新增-平台建设奖补-4-完成
export function addPlatformConstructionAward(data) {
  return request({
    url: '/system/platformConstructionAward',
    method: 'post',
    data: data
  })
}

// 编辑-平台建设奖补-4
export function putPlatformConstructionAward(data) {
  return request({
    url: '/system/platformConstructionAward',
    method: 'put',
    data: data
  })
}

// 新增-品牌打造奖补-5
export function addBrandingAward(data) {
  return request({
    url: '/system/brandingAward',
    method: 'post',
    data: data
  })
}

// 编辑-品牌打造奖补-5
export function putBrandingAward(data) {
  return request({
    url: '/system/brandingAward',
    method: 'put',
    data: data
  })
}

// 新增-场景开放奖补-6-完成
export function addSceneOpeningAward(data) {
  return request({
    url: '/system/sceneOpeningAward',
    method: 'post',
    data: data
  })
}

// 编辑-场景开放奖补-6
export function putSceneOpeningAward(data) {
  return request({
    url: '/system/sceneOpeningAward',
    method: 'put',
    data: data
  })
}

// 新增-信用管理奖补-7
export function addCreditManagement(data) {
  return request({
    url: '/system/creditManagement',
    method: 'post',
    data: data
  })
}

// 编辑-信用管理奖补-7
export function putCreditManagement(data) {
  return request({
    url: '/system/creditManagement',
    method: 'put',
    data: data
  })
}

// 新增-5G+工业互联网奖补-8
export function addIndustrialInternetAward(data) {
  return request({
    url: '/system/industrialInternetAward',
    method: 'post',
    data: data
  })
}

// 编辑-5G+工业互联网奖补-8
export function putIndustrialInternetAward(data) {
  return request({
    url: '/system/industrialInternetAward',
    method: 'put',
    data: data
  })
}

// 新增-制造服务业有效投入奖补-9
export function addManufacturingServicesAward(data) {
  return request({
    url: '/system/manufacturingServicesAward',
    method: 'post',
    data: data
  })
}

// 编辑-制造服务业有效投入奖补-9
export function putManufacturingServicesAward(data) {
  return request({
    url: '/system/manufacturingServicesAward',
    method: 'put',
    data: data
  })
}

// 新增-物流发展奖补-10
export function addLogisticsDevelopmentAward(data) {
  return request({
    url: '/system/logisticsDevelopmentAward',
    method: 'post',
    data: data
  })
}

// 编辑-物流发展奖补-10
export function putLogisticsDevelopmentAward(data) {
  return request({
    url: '/system/logisticsDevelopmentAward',
    method: 'put',
    data: data
  })
}

// 新增-两业融合奖补-11
export function addIntegrationIndustries(data) {
  return request({
    url: '/system/integrationIndustries',
    method: 'post',
    data: data
  })
}

// 编辑-两业融合奖补-11
export function putIntegrationIndustries(data) {
  return request({
    url: '/system/integrationIndustries',
    method: 'put',
    data: data
  })
}

// 新增-2024年度淘汰落后和退出低端低效产能装备清单模板-12
export function addOutQuitProducts(data) {
  return request({
    url: '/system/outQuitProducts',
    method: 'post',
    data: data
  })
}

// 编辑-2024年度淘汰落后和退出低端低效产能装备清单模板-12
export function putOutQuitProducts(data) {
  return request({
    url: '/system/outQuitProducts',
    method: 'put',
    data: data
  })
}



// 修改项目落户上传文件
export function templateOneUpdata(data){
  return request({
    url: '/system/projectSettlementAward/update',
    method: 'put',
    data: data
  })
}

// 修改做大做强上传文件
export function templateTwoUpdata(data){
  return request({
    url: '/system/bigStrongAward/update',
    method: 'put',
    data: data
  })
}

// 修改载体建设上传文件
export function templateThreeUpdata(data){
  return request({
    url: '/system/carrierConstructionAward/update',
    method: 'put',
    data: data
  })
}

// 修改平台建设上传文件
export function templateFourUpdata(data){
  return request({
    url: '/system/platformConstructionAward/update',
    method: 'put',
    data: data
  })
}

// 修改品牌打造上传文件
export function templateFiveUpdata(data){
  return request({
    url: '/system/brandingAward/update',
    method: 'put',
    data: data
  })
}

// 修改场景开放上传文件
export function templateSixUpdata(data){
  return request({
    url: '/system/sceneOpeningAward/update',
    method: 'put',
    data: data
  })
}

// 修改信用管理上传文件
export function templateSevenUpdata(data){
  return request({
    url: '/system/creditManagement/update',
    method: 'put',
    data: data
  })
}

// 修改5G+工业互联网奖补上传文件
export function templateEightUpdata(data){
  return request({
    url: '/system/industrialInternetAward/update',
    method: 'put',
    data: data
  })
}

// 修改制造服务业有效投入上传文件
export function templateNineUpdata(data){
  return request({
    url: '/system/manufacturingServicesAward/update',
    method: 'put',
    data: data
  })
}

// 修改物流发展上传文件
export function templateTenUpdata(data){
  return request({
    url: '/system/logisticsDevelopmentAward/update',
    method: 'put',
    data: data
  })
}

// 修改两业融合上传文件
export function templateElevenUpdata(data){
  return request({
    url: '/system/integrationIndustries/update',
    method: 'put',
    data: data
  })
}

// 修改2024年度淘汰落后和退出低端低效产能装备清单模板上传文件
export function templateProductsUpdata(data){
  return request({
    url: '/system/outQuitProducts/update',
    method: 'put',
    data: data
  })
}
